#include <stdio.h>
#include <math.h>
main()
{
    int N,x,y,ix,iy,jx,jy,tx,ty,px,py,s,s1,broj=0,l;
    scanf("%d",&N);
    int m[N][2];
    for(int u=0;u<N;u++)
    {
            scanf("%d %d",&x,&y);
            m[u][0]=x;
            m[u][1]=y;
    }
    int br=(N*(N-1))/2;
    for(int i=0;i<N;i++)
    {
        ix=m[i][0];
        iy=m[i][1];
        for(int j=0;j<N;j++)
        {
            if(i==j)
                goto prvifor;
            else
            {
                jx=m[j][0];
                jy=m[j][1];
            for(int t=0;t<N;t++)
            {
                if(t==i||t==j)
                goto drugifor;
                else
                {
                    tx=m[t][0];
                    ty=m[t][1];
                 for(int p=0;p<N;p++)
                {

                 if(p==i||p==j||p==t)
                    goto trecifor;
                 else
                 {
                   px=m[p][0];
                   py=m[p][1];
                   s=sqrt((ix-jx)*(ix-jx)+(iy-jy)*(iy-jy));
                   s1=sqrt((tx-px)*(tx-px)+(ty-py)*(ty-py));
                   if(((ix+jx)-(iy+jy)==(tx+px)-(ty+py))&&(s==2*s1||s1==2*s))
                        broj++;

                 }
                }
trecifor:l=0;
                }
                drugifor:l=0;
            }

            }
         prvifor: l=0;
        }

    }
    printf("%d",broj+1);
}